getpwuid_r(): failed due to unknown user id (0)

Bug #572279 reported by Victor Engmark on 2010-04-30
220
This bug affects 49 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

This message is all that appears after installing Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429) from a USB stick alongside my working installation of Ubuntu 9.10 32 bit. Attaching the only files that seem to have any useful content in /var/log of the new installation.

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: vengmark 2466 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0520000 irq 21'
   Mixer name : 'Analog Devices AD1884A'
   Components : 'HDA:11d4184a,103c3035,00100200'
   Controls : 34
   Simple ctrls : 20
Date: Fri Apr 30 14:14:32 2010
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=4c947735-fdbe-4fcb-a4c5-59937a8c58cd
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Hewlett-Packard HP Compaq dc7900 Convertible Minitower
Package: linux-image-2.6.31-21-generic-pae 2.6.31-21.59
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-21-generic-pae root=UUID=ccd45ee1-7a0e-4510-bfe7-74a89a401d42 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-21.59-generic-pae
RelatedPackageVersions:
 linux-backports-modules-2.6.31-21-generic-pae N/A
 linux-firmware 1.26
RfKill:

SourcePackage: linux
Uname: Linux 2.6.31-21-generic-pae i686
XsessionErrors:
 (gnome-settings-daemon:2480): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2574): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2603): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:2573): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -28 and height 24
 (gnome-panel:2573): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window
dmi.bios.date: 03/05/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786G1 v01.16
dmi.board.asset.tag: CZC0013THJ
dmi.board.name: 3032h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: CZC0013THJ
dmi.chassis.type: 6
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786G1v01.16:bd03/05/2009:svnHewlett-Packard:pnHPCompaqdc7900ConvertibleMinitower:pvr:rvnHewlett-Packard:rn3032h:rvr:cvnHewlett-Packard:ct6:cvr:
dmi.product.name: HP Compaq dc7900 Convertible Minitower
dmi.sys.vendor: Hewlett-Packard

Victor Engmark (victor-engmark) wrote :
Victor Engmark (victor-engmark) wrote :
Victor Engmark (victor-engmark) wrote :
Victor Engmark (victor-engmark) wrote :
Copernicus (twowayspirit) wrote :

I get this error when booting the release version of 10.04 from a downloaded 32-bit CD image burned to disk.

I am filing the bug report from my Ubuntu 9.10 install by running the ubuntu-bug linux as recommended by Steve Langasek here (https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/532984/comments/27).

I get the same errors as described in these bug reports:

Bug #558842
Bug #531027

Cant use 10.04 until its fixed so if I can help in any way, let me know.

Copernicus (twowayspirit) wrote :

Managed to get the Lucid CD to boot by hitting escape and then "Try Ubuntu" from the menu. Perhaps my bug report can be more helpful now that Im sending it from Lucid.

I noticed that when the list of services starts to get listed, the first service is named Sense or similar. The progress stayed there for more than a few minutes until it moved on and showed the Gnome desktop. Im checking the /var/log/syslog now and I have lots of these things:

May 1 10:19:05 ubuntu kernel: [ 10.478447] sr 1:0:0:0: [sr0] Unhandled sense code
May 1 10:19:05 ubuntu kernel: [ 10.478449] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
May 1 10:19:05 ubuntu kernel: [ 10.478451] sr 1:0:0:0: [sr0] Sense Key : Medium Error [current]
May 1 10:19:05 ubuntu kernel: [ 10.478454] sr 1:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
May 1 10:19:05 ubuntu kernel: [ 10.478457] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 05 76 e4 00 00 01 00
May 1 10:19:05 ubuntu kernel: [ 10.478462] end_request: I/O error, dev sr0, sector 1432464
May 1 10:19:05 ubuntu kernel: [ 10.478464] Buffer I/O error on device sr0, logical block 358116
May 1 10:19:05 ubuntu kernel: [ 15.300570] sr 1:0:0:0: [sr0] Unhandled sense code
May 1 10:19:05 ubuntu kernel: [ 15.300571] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
May 1 10:19:05 ubuntu kernel: [ 15.300573] sr 1:0:0:0: [sr0] Sense Key : Medium Error [current]
May 1 10:19:05 ubuntu kernel: [ 15.300575] sr 1:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
May 1 10:19:05 ubuntu kernel: [ 15.300578] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 05 76 e4 00 00 01 00
May 1 10:19:05 ubuntu kernel: [ 15.300583] end_request: I/O error, dev sr0, sector 1432464
May 1 10:19:05 ubuntu kernel: [ 15.300584] Buffer I/O error on device sr0, logical block 358116
May 1 10:19:05 ubuntu kernel: [ 20.123106] sr 1:0:0:0: [sr0] Unhandled sense code
May 1 10:19:05 ubuntu kernel: [ 20.123108] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
May 1 10:19:05 ubuntu kernel: [ 20.123109] sr 1:0:0:0: [sr0] Sense Key : Medium Error [current]
May 1 10:19:05 ubuntu kernel: [ 20.123112] sr 1:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
May 1 10:19:05 ubuntu kernel: [ 20.123114] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 05 76 e4 00 00 01 00
May 1 10:19:05 ubuntu kernel: [ 20.123119] end_request: I/O error, dev sr0, sector 1432464
May 1 10:19:05 ubuntu kernel: [ 20.123120] Buffer I/O error on device sr0, logical block 358116

I have tried to different CDs as well just to rule out its a problem with the burn.

Hope it helps. Otherwise maybe some of my automatically generated info can help.

Copernicus (twowayspirit) wrote :

Also have lots of these lines in my /var/log/messages;

May 1 10:19:05 ubuntu kernel: [ 10.478447] sr 1:0:0:0: [sr0] Unhandled sense code
May 1 10:19:05 ubuntu kernel: [ 10.478449] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
May 1 10:19:05 ubuntu kernel: [ 10.478451] sr 1:0:0:0: [sr0] Sense Key : Medium Error [current]
May 1 10:19:05 ubuntu kernel: [ 10.478454] sr 1:0:0:0: [sr0] Add. Sense: L-EC uncorrectable error
May 1 10:19:05 ubuntu kernel: [ 10.478457] sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 05 76 e4 00 00 01 00

Copernicus (twowayspirit) wrote :

My boot.log shows what was on my screen after the "GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)" message"... is it normal that ureadahead terminates like that?

stdin: error 0

Generating locales...

  en_US.UTF-8... done

Generation complete.

Using CD-ROM mount point /cdrom/

Identifying.. [d00480f76f2d81dbf30817849c039fdc-2]

Scanning disc for index files..

Found 2 package indexes, 0 source indexes, 0 translation indexes and 1 signatures

Found label 'Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)'

This disc is called:

'Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)'

Copying package lists...gpgv: Signature made Thu Apr 29 12:56:05 2010 UTC using DSA key ID FBB75451

gpgv: Good signature from "Ubuntu CD Image Automatic Signing Key <email address hidden>"

Reading Package Indexes... 0%

Reading Package Indexes... 2%

Reading Package Indexes... Done

Writing new source list

Source list entries for this disc are:

deb cdrom:[Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)]/ lucid main restricted

Repeat this process for the rest of the CDs in your set.

W: Skipping nonexistent file /cdrom/dists/lucid/main/binary-i386/Packages

W: Skipping nonexistent file /cdrom/dists/lucid/restricted/binary-i386/Packages

No value set for `/apps/netbook-launcher/favorites/favorites_list'

No value set for `/apps/netbook-launcher/favorites/favorites_list'

No value to set for key: `/apps/netbook-launcher/favorites/favorites_list'

init: ureadahead-other main process (1209) terminated with status 4

init: ureadahead-other main process (1210) terminated with status 4

anggitoruan (anggitoruan) wrote :

I'm having the same problem here

GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)
stdin: error 0
/init:line7:can't open /dev/sr0:no medium found
/init:line7:can't open /dev/sr1:no medium found

and so on...
I still can't install lucid lynx from my USB stick, might try installing via CD later.
anyone have a solution?

Jeremy Foshee (jeremyfoshee) wrote :

Hi l0b0,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

I would need more info to be able to install this, since the newly installed Ubuntu doesn't boot at all. I'm going to try to install again from a USB stick.

alikthename (alikthename) wrote :

Same thing here when booting from live cd . Comp is Acer TravelMate 4010

Mister-EL (mister-el) wrote :

Same Problem here, after some reboot I get
"getpwuid_r(): failed du to unknown user id (0)"

Kubuntu 10.04 amd 64 an Lenovo T400 with intel graka

same with a acer aspire m5641.
"getpwuid_r(): failed du to unknown user id (0)"

when using bootparameter no_apci boot fails too with input/output kernel panic

Same problem with a Dell Inspirion 1525, i began getting the problem on my actual install (just upgraded to Ubuntu 10.04) after putting the machine into hibernation.

I am able to boot off a live disk at this time

Similar problem here. Dual booting with vista, Dell Vostro 200. Sometimes on a boot attempt to ubuntu I get "(process-280): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)"

I am not using a stick or anything. Both vista and ubuntu are on the same hdd. If I restart after getting this error I have always been able to boot to ubuntu with no problem. I will repost after I figure out if this only happens when system is booting after a restart from ubuntu, or after a restart from windows, or after turning system on. As of now I believe I have only gotten this error after I have restarted from within ubuntu.

Boppy (boppy6) wrote :

It happens to me!!

Emilien Klein (emilien-klein) wrote :

I have installed Ubuntu 10.04 for about 10 days now, and I've see this error message twice when booting up. Note that this is not happening to me while installing Ubuntu, unlike what has been reported by other users, but when booting the computer up.

I see the Ubuntu logo with the white and red dots, and like after the fourth change of color of the dots, the screen turns black and displays

"(process:334): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)"

The laptop is then not responsive to the keyboard (like CtrlAltF1, CtrlAltBackspace, etc), it will only respond to a CtrlAltDelete that will display the Ubuntu logo again to restart the computer. After it has rebooted, I get to the normal login window.

summary: - getpwuid_r(): failed du to unknown user id (0)
+ getpwuid_r(): failed due to unknown user id (0)

I get the following error when trying to boot the LiveCD of Lucid Lynx (64bit):

(process: 387)
GLib-WARNING **: getpwuid_r(): failed due to unknown user id(0)
stdin: error 0

Doug (doug-the-olsons) wrote :

I get this message while booting since doing an update yesterday (5/29/10).
GLib-WARNING **: getpwuid_r(): failed due to unknown user id(0)

First time the boot hung and I had to power cycle, second time the
boot succeeded after displaying the warning.
I installed 10.04 just after it was released (not beta) and this is the first
time I got this warning.
Eeepc 901.

javaunixsolaris (lpahler) wrote :

Booting from a hard drive (not USB stick ) I get "(process:325): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)". The machine used to restart fine. I have posted details in this other forum: http://www.linuxquestions.org/questions/ubuntu-63/kubuntu-10-04-64-bit-fails-to-boot-getpwuid_r-failed-due-to-unknown-user-id-0-a-811511/

I am able to mount the hard drive from a live boot. Once mounted is there a way I can manually downgrade GLib as a work around?

BlackVodka (markus-burger1990) wrote :

Well, after I watched last evening without a problem a movie on my laptop, I faced the mentioned error message (with just another pid at the beginning) a few minutes before on an IBM Thinkpad R51-2888 notebook.
So, a possible stupid question, did I got it right, this problem lies in plymouth?
Is there any possibility to disable plymouth (uninstalling it is almost impossible I read in the net) for the time until this bug is fixed? I need this notebook for work and currently I even can't login into my system, this can't be true with a LTS-Release? =/

javaunixsolaris (lpahler) wrote :

8.04 LTS had a nice "Recovery" boot option when I booted. I don't see that in 10.04...so now I guess I have to research "grub2"?

>I need this notebook for work and currently I even can't login into my system
Same here BlackVodka, mine is a work computer, not sure how long I can hold out before I have to format it and put on a new O.S.

BlackVodka (markus-burger1990) wrote :

Well, I have a little workaround for this: In fact, Plymouth is the source of this evil, if I can say this so in english :)
Removing plymouth made me able to login into my system again.
To do so, I followed this german wiki-page: http://wiki.ubuntuusers.de/Baustelle/Plymouth

I'll short it and translate it to you other people who need their machine for work:
Just boot up with the recovery-option in Grub, and start with a net-commandline.
Enable the repository with sudo apt-add-repository ppa:dtl131/mediahacks .
In this repository are around 2-3 modified .deb-files stored with a version-numer a bit higher than the orginal, the main-package for interest is mountall. In this modified package just the dependencies to plymouth are deleleted. So, after enabling the ppa, sudo apt-get update -ing and sudo aptitude full-upgrade, you are able to remove plymouth with just sudo apt-get remove plymouth.
After this in the article I mentioned before it is recommend to remove the quiet-line in grub.
That does all, for the time before this is being fixed in plymouth you are able to continue using your system.

Hope this helps, good evening (in Germany) to all ;)

Neil Wallace (rowinggolfer) wrote :

I really don't see how this is a duplicate of bug #532984, which is extremely hardware and version specific
(Alpha 3 won't boot on HP Compaq Pentium 4;) and which has been decreed invalid!

tags: added: kernel-needs-review kernel-uncat
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Krzyzstof (krzyzstof) wrote :

After a perfect try with live Cd on my desktop computer, I have decided to install Unbuntu 10.04.
At the end of the installation, I have unfortunatly the same kind message :

process 258 Glib_Warning ** : get pwuid_r() : failed due to unknow user id(0)

My computer :
Mothercard : ASUS 7AV333
Graphical Card : ATI Radeon 9600 XT
RAM : 1 Go

My installation settings :
2 partitions EXT4 (/ & home) et un SWAP (2Go)
Automatic log on enable

MurkyMurk (murkymurk) wrote :

It's CD/DVD drive specific.
I get the error when I use my Emperex DVDRW 8x but not when I use my Emperex DD DVDRW 16x.
Everything else is identical as i have to physically swap the EIDE cable over from one drive to the other.

Lucid LiveCD hangs with the 8x but boot with the 16x

drakesoft (powerschorsch21) wrote :

I get the error when my pc wake up from hibernate. My CD/DVD drive is a "HL Data Storage GSA-T30N". I tried it serveral times, if I disconnect my cd/dvd drive hibernate is ok, but if I connectet the drive i got his error "getpwuid_r(): failed due to unknown user id (0)".

kdemarest (kdemarest) wrote :

i had the same bug in maverick. how are you guys creating your usb stick? usb-creator? i wonder if creating with dd would work better? sudo dd /path/to/iso.iso /dev/sdbXY

Ken Jannot (kjannot) wrote :

I am also getting this error message in 10.10, just while trying to boot from the CD. I haven't tried to install the OS, because installation of 10.4 got me that error message every time, whether upgrading from 9.10 or clean install.

MillenniumBug (millenniumbug) wrote :

@Ken:

Post 176 in this thread
http://ubuntuforums.org/showthread.php?t=1443231
might solve the problem.

If you have more similar questions, Ubuntuforums is the best place to post.

sacha@ubuntu (sacha-b77) wrote :

Hello!

The bug is not fixed at all! After one of several kernel updates, the bug reappears!

Plymouth seems to be the cause.

To fix : sudo dpkg-reconfigure plymouth solve temporally the problem to the new kernel upgrade...

I'm also on a debian testing. I've never seen this bug on debian because debian don't use plymouth...

How can we safely remove plymouth?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions